## Class Auth_OpenID_AssociateRequest

Description

A request to associate with the server.

Located in /Auth/OpenID/Server.php (line 581)

    Auth_OpenID_Request
       |
       --Auth_OpenID_AssociateRequest

Variable Summary
mixed $mode
Method Summary
Auth_OpenID_AssociateRequest Auth_OpenID_AssociateRequest ( &$session, $assoc_type)
void answer ( $assoc)
void answerUnsupported ( $text_message, [ $preferred_association_type = null], [ $preferred_session_type = null])
void fromMessage ( $message, [ $server = null])
void getSessionClasses ()
Variables
mixed $mode = "associate" (line 582)

Redefinition of:

Auth_OpenID_Request::$mode

Methods
Constructor Auth_OpenID_AssociateRequest (line 592)
Auth_OpenID_AssociateRequest Auth_OpenID_AssociateRequest ( &$session, $assoc_type)

- &$session
- $assoc_type

answer (line 651)
void answer ( $assoc)

- $assoc

answerUnsupported (line 673)
void answerUnsupported ( $text_message, [ $preferred_association_type = null], [ $preferred_session_type = null])

- $text_message
- $preferred_association_type
- $preferred_session_type

fromMessage (line 599)
void fromMessage ( $message, [ $server = null])

- $message
- $server

getSessionClasses (line 584)
void getSessionClasses ()

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2